# BEGIN SourceDeps(oneline):
BuildRequires: clxclient-devel
# END SourceDeps(oneline)
Group: System/Libraries
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global libmajor 3


Summary:       C++ X Windows Library
Name:          clxclient
Version:       3.9.2
Release:       alt1_5
License:       LGPLv2+
URL:           http://kokkinizita.linuxaudio.org/
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
# patch emailed upstream
Patch0:        clxclient-3.6.1-fsf-address.patch

BuildRequires: gcc-c++
BuildRequires: clthreads-devel >= 2.4.0
BuildRequires: libXft-devel 
BuildRequires: libX11-devel
Source44: import.info

%description 
C++ X Windows library

%package -n clxclient-devel
Group: Development/Other
Summary:       C++ X Windows Library Development Files
Requires:      %{name} = %{version}-%{release}

%description -n clxclient-devel
Header files required for the development of applications using the clxclient 
C++ X Windows library.

%prep
%setup -q
%patch0 -p1

# Force Fedora's flags and correct linkage
sed -e '/ldconfig/d' \
    -e '/^CXXFLAGS += -march=native/d' \
    -e 's|-lpthread -lXft -lX11|-lclthreads -lXft -lX11|' \
    -i source/Makefile

%build

export CXXFLAGS="${CXXFLAGS} -I. -I/usr/include/freetype2"
%make_build -C source PREFIX=%{_prefix} LIBDIR=%{_libdir}

%install
%makeinstall_std -C source PREFIX=%{_prefix} LIBDIR=%{_libdir}

%files
%doc AUTHORS
%doc --no-dereference COPYING
%{_libdir}/lib%{name}*.so.*

%files devel
%{_libdir}/lib%{name}*.so
%{_includedir}/%{name}.h

%changelog
* Fri Oct 22 2021 Igor Vlasenko <viy@altlinux.org> 3.9.2-alt1_5
- update to new release by fcimport

* Thu Nov 05 2020 Igor Vlasenko <viy@altlinux.ru> 3.9.2-alt1_3
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 3.9.0-alt1_7
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 3.9.0-alt1_6
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 3.9.0-alt1_5
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 3.9.0-alt1_4
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 3.9.0-alt1_2
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 3.9.0-alt1_1
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 3.6.1-alt1_13
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 3.6.1-alt1_11
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 3.6.1-alt1_10
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 3.6.1-alt1_9
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 3.6.1-alt1_8
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 3.6.1-alt1_7
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 3.6.1-alt1_6
- fc import

